local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local orange = rgb(0,1,1.7)
local blue = rgb(1,1,1)
local red = rgb(1,0,0)
local white = rgb(1,.3,0)

function update(dt)
    display.text({ text = math.floor(car.speedKmh), pos = vec2(-22, 446), letter = vec2(20, 40), font = 'e92_big', color = white, alignment =.5, width = 251, spacing = 1})
    display.text({ text = string.format("%02.1f", car.distanceDrivenSessionKm/ 1.609344), pos = vec2(70, 368), letter = vec2(20, 20), font = 'ttcup_big', color = white, alignment =1, width = 251, spacing = .01 })
    display.text({ text = gearT[car.gear], pos = vec2(1405,913), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.5, width = 251, spacing = 1 })
    display.text({ text = string.format("%.0f", car.distanceDrivenTotalKm), pos = vec2(63.5, 475.7), letter = vec2(10, 20), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%05.1f", car.distanceDrivenSessionKm), pos = vec2(1555,413), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(1555,413), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%.1f", car.fuel), pos = vec2(1555,413), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
   end



  
   